频道栏目
首页 > 安全 > 系统安全 > 正文

Samba SMB1协议被发现有安全缺陷,安全专家提供修正方案

2017-09-25 09:43:00      个评论      
收藏   我要投稿

Samba作为Linux和UNIX体系上实现SMB协议的一个免费软件,在*nix范畴有很广泛的应用场景。

日前,360 Gear Team的安全研究员发现Samba SMB1协议存在安全缺陷,攻击者在具有Samba账户写入权限的情况下,能够远程走漏目标Samba服务器的内存信息,影响Samba全版别,缝隙编号为CVE-2017-12163。之后,Samba和Google团队提供了修正计划。

据悉,该缝隙被称为SambaBleed缝隙。

360CERT主张运用Samba软件的用户赶快进行安全更新。

0x01 事件影响面

影响等级

缝隙风险等级较高,影响规模较广

影响版别

Samba全版别

修正版别

Samba 4.6.8, 4.5.14 和 4.4.16

0x02 缝隙细节

在SMB1协议中,用户写请求的规模没有被严格检查,超越用户已发送的数据巨细,从而导致服务器的内存信息被写入文件,但是并不能操控哪些内存信息被写入。官方提供的补丁在写入之前加了请求写入数据巨细的判别,从而防御该缝隙。

走漏的内存信息:

\

0x03 修正计划

1、Samba 4.6.7, 4.5.13和4.4.15版别已提供官方补丁,强烈主张所有受影响用户,及时更新官方补丁,或者更新到已修正版别。

补丁地址:https://www.samba.org/samba/history/security.html

2、强制运用SMB2协议,在smb.conf的[global]里设置"server min protocol = SMB2_02",并重启smbd。

上一篇:网络打印机系统的安全性分析探讨
下一篇:Joomla!出现严重漏洞bug,使攻击者通过LDAP认证在短时间内接管Joomla!
相关文章
图文推荐

关于我们 | 联系我们 | 广告服务 | 投资合作 | 版权申明 | 在线帮助 | 网站地图 | 作品发布 | Vip技术培训 | 举报中心

版权所有: 红黑联盟--致力于做实用的IT技术学习网站